# class Gtk::Window

### Public Class Methods

new(type=:toplevel) click to toggle source

    # File lib/gtk3/window.rb, line 20
    def initialize(type=:toplevel)
      if type.is_a?(String)
        initialize_raw(:toplevel)
        self.title = type
      else
        initialize_raw(type)
      end
    end

Also aliased as: initialize_raw

### Public Instance Methods

icon=(icon_or_file_name)
Alias for: set_icon
initialize_raw(type=:toplevel)
Alias for: new
set_icon(icon_or_file_name) click to toggle source

    # File lib/gtk3/window.rb, line 30
    def set_icon(icon_or_file_name)
      case icon_or_file_name
      when String
        set_icon_from_file(icon_or_file_name)
      else
        set_icon_raw(icon_or_file_name)
      end
    end

Also aliased as: set_icon_raw, icon=
set_icon_raw(icon_or_file_name)
Alias for: set_icon